<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Ritz
 */

get_header(); 

	/**
	 * Hook - ritz_before_primary.
	 *
	 * @hooked ritz_before_primary_action - 10
	 */
	do_action( 'ritz_before_primary' );
?>


	<?php
	if ( have_posts() ) : ?>

		<header class="page-header">
			<?php
				the_archive_title( '<h1 class="page-title">', '</h1>' );
				the_archive_description( '<div class="archive-description">', '</div>' );
			?>
		</header><!-- .page-header -->

		<?php
		/* Start the Loop */
		while ( have_posts() ) : the_post();

			/*
			 * Include the Post-Format-specific template for the content.
			 * If you want to override this in a child theme, then include a file
			 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
			 */
			get_template_part( 'template-parts/content', get_post_format() );

		endwhile;

		get_template_part( 'template-parts/content', 'pagination' );

	else :

		get_template_part( 'template-parts/content', 'none' );

	endif; ?>
	
<?php
	/**
	 * Hook - ritz_after_primary.
	 *
	 * @hooked ritz_after_primary_action - 10
	 */
	do_action( 'ritz_after_primary' );

get_footer();